Package org.eclipse.ecf.remoteservice.events

# Interface IRemoteCallStartEvent

All Superinterfaces:
  `IRemoteCallEvent`

public interface IRemoteCallStartEvent extends IRemoteCallEvent
Event received when remote call started.

## Method Summary

Modifier and Type
Method
Description
`IRemoteCall`
`getCall()`
Get the remote call itself.
`IRemoteServiceReference`
`getReference()`
Get remote service reference used for call.

### Methods inherited from interface org.eclipse.ecf.remoteservice.events.IRemoteCallEvent

`getRequestId`

## Method Details

### getReference

IRemoteServiceReference getReference()
Get remote service reference used for call.

Returns:
  IRemoteServiceReference used to make call. Will not be `null`.

### getCall

IRemoteCall getCall()
Get the remote call itself.

Returns:
  IRemoteCall actually started. Will not be `null`